import { IconButton, Tooltip } from "@mui/material";
import React from "react";

var ButtonWithTooltip = function ButtonWithTooltip(_ref) {
  var tooltipText = _ref.tooltipText,
      disabled = _ref.disabled,
      onClick = _ref.onClick,
      Icon = _ref.Icon;
  return React.createElement(Tooltip, {
    title: tooltipText
  }, React.createElement("span", null, React.createElement(IconButton, {
    disabled: disabled,
    onClick: onClick
  }, React.createElement(Icon, null))));
};

export default ButtonWithTooltip;